DEFAULT: serve

serve:
	@hugo serve --watch

gen:
	@CALENDAR_URL="https://cloud.lumbung.space/remote.php/dav/public-calendars/WbnHM8YdCkKT6bcT?export"; \
	OUTPUT_DIR=content/calendar; \
	lumbunglib-cal && \
	OUTPUT_DIR=content/tv lumbunglib-vid && \
	OUTPUT_DIR=content/shouts lumbunglib-feed

push-hugo:
	@docker build -t decentral1se/beta.lumbung.space -f Dockerfile.hugo . && \
		docker push decentral1se/beta.lumbung.space

push-scripts:
	@docker build --no-cache -t decentral1se/beta.lumbung.space-scripts -f Dockerfile.scripts . && \
		docker push decentral1se/beta.lumbung.space-scripts

deploy:
	@DOCKER_CONTEXT=lumbung.space docker stack deploy -c compose.yml beta_lumbung_space

.PHONY: serve gen push-hugo push-scripts deploy
